# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Attributes

# vl::A3DSMaterialFaceMapping Class Reference

The A3DSMaterialFaceMapping class represents the material/face mapping in a 3DS file. More...

`#include <io3DS.hpp>`

List of all members.

## Public Attributes

String | mMaterialName
std::vector< unsigned short > | mMappedFace

## Detailed Description

The A3DSMaterialFaceMapping class represents the material/face mapping in a 3DS file.

Definition at line 146 of file io3DS.hpp.

## Member Data Documentation

String vl::A3DSMaterialFaceMapping::mMaterialName

Definition at line 149 of file io3DS.hpp.

std::vector<unsigned short> vl::A3DSMaterialFaceMapping::mMappedFace

Definition at line 150 of file io3DS.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/io3DS.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.